<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<completable-card id="operationParametersBase"
                  title="{{'parameters.base.card.title' | translate}}"
                  subtitle="{{'parameters.base.card.subtitle' | translate}}"
                  required=true
                  [completed]="completed"
                  [inError]="inError"
                  [readOnly]="readOnly"
                  [editSection]="['edit', 'base']">
  <div fxLayout="column" fxLayoutGap="2rem">
    <div fxLayout="column">
      <span
        class="readonly-label">{{'parameters.base.edit.form.fields.long-label.placeholder' | translate}}</span>
      <span class="readonly-value">{{operation.longLabel}}</span>
    </div>
    <div fxLayout fxLayoutGap="2rem">
      <div fxLayout="column">
        <span class="readonly-label">{{'parameters.base.edit.form.fields.short-label.placeholder' | translate}}</span>
        <span class="readonly-value">{{operation.shortLabel}}</span>
      </div>
      <div fxLayout="column">
        <span
          class="readonly-label">{{'parameters.base.edit.form.fields.date.placeholder' | translate}}</span>
        <span class="readonly-value">{{operation.date | date:'dd.MM.yyyy'}}</span>
      </div>
    </div>
  </div>
</completable-card>
